Package jnr.constants.platform.linux.powerpc64

# Enum SocketLevel

java.lang.Object
java.lang.Enum<SocketLevel>
jnr.constants.platform.linux.powerpc64.SocketLevel

All Implemented Interfaces:
  `Serializable`, `Comparable<SocketLevel>`, `java.lang.constant.Constable`, `Constant`

public enum SocketLevel extends Enum<SocketLevel> implements Constant

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`SOL_IP`
`SOL_IPV6`
`SOL_SOCKET`
`SOL_TCP`
`SOL_UDP`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final long`
`MAX_VALUE`
`static final long`
`MIN_VALUE`

## Method Summary

Modifier and Type
Method
Description
`final boolean`
`defined()`
`final int`
`intValue()`
`final long`
`longValue()`
`final String`
`toString()`
`final int`
`value()`
`static SocketLevel`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static SocketLevel[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface jnr.constants.Constant

`name`

## Enum Constant Details

### SOL_SOCKET

public static final SocketLevel SOL_SOCKET

### SOL_IP

public static final SocketLevel SOL_IP

### SOL_TCP

public static final SocketLevel SOL_TCP

### SOL_UDP

public static final SocketLevel SOL_UDP

### SOL_IPV6

public static final SocketLevel SOL_IPV6

## Field Details

### MIN_VALUE

public static final long MIN_VALUE

See Also:
  - Constant Field Values

### MAX_VALUE

public static final long MAX_VALUE

See Also:
  - Constant Field Values

## Method Details

### values

public static SocketLevel[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static SocketLevel valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

### toString

public final String toString()

Overrides:
  `toString` in class `Enum<SocketLevel>`

### value

public final int value()

### intValue

public final int intValue()

Specified by:
  `intValue` in interface `Constant`

### longValue

public final long longValue()

Specified by:
  `longValue` in interface `Constant`

### defined

public final boolean defined()

Specified by:
  `defined` in interface `Constant`